# Copyright 2004-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit gnome2 eutils autotools

DESCRIPTION="A round-trip time monitor"
HOMEPAGE="http://www.nongnu.org/link-monitor/"
SRC_URI="http://savannah.nongnu.org/download/link-monitor/${P}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="ipv6 geoip"

RDEPEND=">=x11-libs/gtk+-2.8.0
	>=dev-libs/glib-2.4
	>=gnome-base/libgnomeui-2.4
	>=gnome-base/gnome-panel-2.4
	>=gnome-base/libglade-2.0
	>=gnome-base/gconf-2.0
	geoip? ( dev-libs/geoip )"
DEPEND="$RDEPEND"

G2CONF="$(use_enable ipv6)
	$(use_enable geoip)"

src_unpack() {
    unpack ${P}.tar.bz2
    cd "${S}"
    ./jb configure destdir="${D}" || die "config failed"
}

src_compile() {
    ./jb build || die "build failed"
}

src_install() {
    ./jb install || die "install failed"
}

